org.apache.hadoop.hdfs.server.balancer

## Class Dispatcher.PendingMove

- java.lang.Object
- - org.apache.hadoop.hdfs.server.balancer.Dispatcher.PendingMove

- Enclosing class:
    org.apache.hadoop.hdfs.server.balancer.Dispatcher

      public class Dispatcher.PendingMove
      extends Object

  This class keeps track of a scheduled reportedBlock move

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.hdfs.protocol.DatanodeInfo` | `getSource()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSource

          public org.apache.hadoop.hdfs.protocol.DatanodeInfo getSource()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.